org.jetlang.remote.core

## Class ByteArraySerializer.Writer

- java.lang.Object
- - org.jetlang.remote.core.ByteArraySerializer.Writer

All Implemented Interfaces:
  ObjectByteWriter

Enclosing class:
  ByteArraySerializer

    public static class ByteArraySerializer.Writer
    extends Object
    implements ObjectByteWriter

### Constructor Summary

Constructors
Constructor and Description
`Writer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(String topic, Object msg, ByteMessageWriter writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Writer

    public Writer()

### Method Detail

#### write

    public void write(String topic,
                      Object msg,
                      ByteMessageWriter writer)
               throws IOException

Specified by:
  `write` in interface `ObjectByteWriter`
Throws:
  `IOException`